VTK: vtkChartHistogram2D Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkChartHistogram2D Class Reference

`#include <vtkChartHistogram2D.h>`

Inheritance diagram for vtkChartHistogram2D:
[legend]
Collaboration diagram for vtkChartHistogram2D:
[legend]

## Public Types
typedef vtkChartXY | Superclass
Public Types inherited from vtkChartXY
typedef vtkChart | Superclass
typedef std::map< unsigned int, vtkSmartPointer< vtkIdTypeArray > > | MapIndexToIds
Public Types inherited from vtkChart
enum | { LINE , POINTS , BAR , STACKED , BAG , FUNCTIONALBAG , AREA }
| Enum of the available chart types. More...
enum | { PAN = 0 , ZOOM , ZOOM_AXIS , SELECT , SELECT_RECTANGLE = SELECT , SELECT_POLYGON , CLICK_AND_DRAG , NOTIFY , ACTION_TYPES_COUNT }
| Enum of valid chart action types. More...
enum | EventIds { UpdateRange = 1002 }
| Enum of event type that are triggered by the charts. More...
enum | { SELECTION_ROWS , SELECTION_PLOTS , SELECTION_COLUMNS }
| Enumeration of the possible selection methods in a chart. More...
enum | { FILL_SCENE , FILL_RECT , AXES_TO_RECT }
| Enum of the available layout strategies for the charts. More...
typedef vtkContextItem | Superclass
Public Types inherited from vtkContextItem
typedef vtkAbstractContextItem | Superclass
Public Types inherited from vtkAbstractContextItem
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkChartHistogram2D * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | Update () override
| Perform any updates to the item that may be necessary before rendering. More...
virtual void | SetInputData (vtkImageData *data, vtkIdType z=0)
virtual void | SetTransferFunction (vtkScalarsToColors *function)
bool | Hit (const vtkContextMouseEvent &mouse) override
| Return true if the supplied x, y coordinate is inside the item. More...
vtkPlot * | GetPlot (vtkIdType index) override
| Get the plot at the specified index, returns null if the index is invalid. More...
Public Member Functions inherited from vtkChartXY
vtkChartXY * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | Update () override
| Perform any updates to the item that may be necessary before rendering. More...
bool | Paint (vtkContext2D *painter) override
| Paint event for the chart, called whenever the chart needs to be drawn. More...
vtkPlot * | AddPlot (int type) override
| Add a plot to the chart, defaults to using the name of the y column. More...
virtual vtkPlot * | AddPlot (int type, unsigned int blockIndex)
| Adds a plot to the chart holding data specific to a block in a vtkMultiBlockDataSet. More...
vtkIdType | AddPlot (vtkPlot *plot) override
| Adds a plot to the chart. More...
virtual vtkIdType | AddPlot (vtkPlot *plot, unsigned int blockIndex)
| Adds a plot to the chart holding data specific to a block in a vtkMultiBlockDataSet. More...
bool | RemovePlot (vtkIdType index) override
| Remove the plot at the specified index, returns true if successful, false if the index was invalid. More...
void | ClearPlots () override
| Remove all plots from the chart. More...
vtkPlot * | GetPlot (vtkIdType index) override
| Get the plot at the specified index, returns null if the index is invalid. More...
virtual vtkIdType | GetPlotIndex (vtkPlot *)
| Get the index of the specified plot, returns -1 if the plot does not belong to the chart. More...
vtkIdType | RaisePlot (vtkPlot *plot)
| Raises the plot to the top of the plot's stack. More...
virtual vtkIdType | StackPlotAbove (vtkPlot *plot, vtkPlot *under)
| Raises the plot above the under plot. More...
vtkIdType | LowerPlot (vtkPlot *plot)
| Lowers the plot to the bottom of the plot's stack. More...
virtual vtkIdType | StackPlotUnder (vtkPlot *plot, vtkPlot *above)
| Lowers the plot under the above plot. More...
vtkIdType | GetNumberOfPlots () override
| Get the number of plots the chart contains. More...
int | GetPlotCorner (vtkPlot *plot)
| Figure out which quadrant the plot is in. More...
void | SetPlotCorner (vtkPlot *plot, int corner)
| Figure out which quadrant the plot is in. More...
vtkAxis * | GetAxis (int axisIndex) override
| Get the axis specified by axisIndex. More...
void | SetAxis (int axisIndex, vtkAxis *) override
| Set the axis specified by axisIndex. More...
void | SetShowLegend (bool visible) override
| Set whether the chart should draw a legend. More...
vtkChartLegend * | GetLegend () override
| Get the vtkChartLegend object that will be displayed by the chart. More...
virtual void | SetTooltip (vtkTooltipItem *tooltip)
| Set the vtkTooltipItem object that will be displayed by the chart. More...
virtual vtkTooltipItem * | GetTooltip ()
| Get the vtkTooltipItem object that will be displayed by the chart. More...
vtkIdType | GetNumberOfAxes () override
| Get the number of axes in the current chart. More...
void | RecalculateBounds () override
| Request that the chart recalculates the range of its axes. More...
void | SetSelectionMethod (int method) override
| Set the selection method, which controls how selections are handled by the chart. More...
void | RemovePlotSelections ()
| Remove all the selection from Plots. More...
virtual void | SetTooltipInfo (const vtkContextMouseEvent &, const vtkVector2d &, vtkIdType, vtkPlot *, vtkIdType segmentIndex=-1)
| Set the information passed to the tooltip. More...
bool | Hit (const vtkContextMouseEvent &mouse) override
| Return true if the supplied x, y coordinate is inside the item. More...
bool | MouseEnterEvent (const vtkContextMouseEvent &mouse) override
| Mouse enter event. More...
bool | MouseMoveEvent (const vtkContextMouseEvent &mouse) override
| Mouse move event. More...
bool | MouseLeaveEvent (const vtkContextMouseEvent &mouse) override
| Mouse leave event. More...
bool | MouseButtonPressEvent (const vtkContextMouseEvent &mouse) override
| Mouse button down event. More...
bool | MouseButtonReleaseEvent (const vtkContextMouseEvent &mouse) override
| Mouse button release event. More...
bool | MouseWheelEvent (const vtkContextMouseEvent &mouse, int delta) override
| Mouse wheel event, positive delta indicates forward movement of the wheel. More...
bool | KeyPressEvent (const vtkContextKeyEvent &key) override
| Key press event. More...
const std::vector< vtkContextTransform * > & | GetTransforms () const
| Get the vector of vtkContextTransform. More...
virtual void | SetDrawAxesAtOrigin (bool)
| If true then the axes will be drawn at the origin (scientific style). More...
virtual bool | GetDrawAxesAtOrigin ()
| If true then the axes will be drawn at the origin (scientific style). More...
virtual void | DrawAxesAtOriginOn ()
| If true then the axes will be drawn at the origin (scientific style). More...
virtual void | DrawAxesAtOriginOff ()
| If true then the axes will be drawn at the origin (scientific style). More...
virtual void | SetAutoAxes (bool)
| If true then the axes will be turned on and off depending upon whether any plots are in that corner. More...
virtual bool | GetAutoAxes ()
| If true then the axes will be turned on and off depending upon whether any plots are in that corner. More...
virtual void | AutoAxesOn ()
| If true then the axes will be turned on and off depending upon whether any plots are in that corner. More...
virtual void | AutoAxesOff ()
| If true then the axes will be turned on and off depending upon whether any plots are in that corner. More...
virtual void | SetHiddenAxisBorder (int)
| Border size of the axes that are hidden (vtkAxis::GetVisible()) More...
virtual int | GetHiddenAxisBorder ()
| Border size of the axes that are hidden (vtkAxis::GetVisible()) More...
virtual void | SetForceAxesToBounds (bool)
| Force the axes to have their Minimum and Maximum properties inside the plot boundaries. More...
virtual bool | GetForceAxesToBounds ()
| Force the axes to have their Minimum and Maximum properties inside the plot boundaries. More...
virtual void | ForceAxesToBoundsOn ()
| Force the axes to have their Minimum and Maximum properties inside the plot boundaries. More...
virtual void | ForceAxesToBoundsOff ()
| Force the axes to have their Minimum and Maximum properties inside the plot boundaries. More...
virtual void | SetIgnoreNanInBounds (bool)
| Ignore NaN in RecalculateBounds(). More...
virtual bool | GetIgnoreNanInBounds ()
| Ignore NaN in RecalculateBounds(). More...
virtual void | IgnoreNanInBoundsOn ()
| Ignore NaN in RecalculateBounds(). More...
virtual void | IgnoreNanInBoundsOff ()
| Ignore NaN in RecalculateBounds(). More...
virtual void | SetBarWidthFraction (float)
| Set the width fraction for any bar charts drawn in this chart. More...
virtual float | GetBarWidthFraction ()
| Set the width fraction for any bar charts drawn in this chart. More...
virtual void | SetZoomWithMouseWheel (bool)
| Set the behavior of the mouse wheel. More...
virtual bool | GetZoomWithMouseWheel ()
| Set the behavior of the mouse wheel. More...
virtual void | ZoomWithMouseWheelOn ()
| Set the behavior of the mouse wheel. More...
virtual void | ZoomWithMouseWheelOff ()
| Set the behavior of the mouse wheel. More...
void | SetAxisZoom (int index, bool v)
| Set the behavior of the mouse wheel for individual axes. More...
bool | GetAxisZoom (int index)
| Set the behavior of the mouse wheel for individual axes. More...
virtual void | SetAdjustLowerBoundForLogPlot (bool)
| Adjust the minimum of a logarithmic axis to be greater than 0, regardless of the minimum data value. More...
virtual bool | GetAdjustLowerBoundForLogPlot ()
| Adjust the minimum of a logarithmic axis to be greater than 0, regardless of the minimum data value. More...
virtual void | AdjustLowerBoundForLogPlotOn ()
| Adjust the minimum of a logarithmic axis to be greater than 0, regardless of the minimum data value. More...
virtual void | AdjustLowerBoundForLogPlotOff ()
| Adjust the minimum of a logarithmic axis to be greater than 0, regardless of the minimum data value. More...
virtual void | SetDragPointAlongX (bool)
| Set if the point can be dragged along X by the ClickAndDrag Action True by default. More...
virtual bool | GetDragPointAlongX ()
| Set if the point can be dragged along X by the ClickAndDrag Action True by default. More...
virtual void | DragPointAlongXOn ()
| Set if the point can be dragged along X by the ClickAndDrag Action True by default. More...
virtual void | DragPointAlongXOff ()
| Set if the point can be dragged along X by the ClickAndDrag Action True by default. More...
virtual void | SetDragPointAlongY (bool)
| Set if the point can be dragged along Y by the ClickAndDrag Action True by default. More...
virtual bool | GetDragPointAlongY ()
| Set if the point can be dragged along Y by the ClickAndDrag Action True by default. More...
virtual void | DragPointAlongYOn ()
| Set if the point can be dragged along Y by the ClickAndDrag Action True by default. More...
virtual void | DragPointAlongYOff ()
| Set if the point can be dragged along Y by the ClickAndDrag Action True by default. More...
Public Member Functions inherited from vtkChart
vtkChart * | NewInstance () const
virtual bool | RemovePlotInstance (vtkPlot *plot)
| Remove the given plot. More...
virtual void | SetAnnotationLink (vtkAnnotationLink *link)
| Set the vtkAnnotationLink for the chart. More...
void | SetBorders (int left, int bottom, int right, int top)
| Set/get the borders of the chart (space in pixels around the chart). More...
virtual void | SetSize (const vtkRectf &rect)
| Set the size of the chart. More...
vtkRectf | GetSize ()
| Get the current size of the chart. More...
virtual void | SetActionToButton (int action, int button)
| Assign action types to mouse buttons. More...
virtual int | GetActionToButton (int action)
| Get the mouse button associated with the supplied action. More...
virtual void | SetClickActionToButton (int action, int button)
| Assign action types to single mouse clicks. More...
virtual int | GetClickActionToButton (int action)
| Get the mouse button associated with the supplied click action. More...
virtual int | GetSelectionMethod ()
| Set the selection method, which controls how selections are handled by the chart. More...
virtual vtkAnnotationLink * | GetAnnotationLink ()
| Get the vtkAnnotationLink for the chart. More...
virtual void | SetGeometry (int, int)
| Set/get the width and the height of the chart. More...
void | SetGeometry (int[2])
| Set/get the width and the height of the chart. More...
virtual int * | GetGeometry ()
| Set/get the width and the height of the chart. More...
virtual void | GetGeometry (int &, int &)
| Set/get the width and the height of the chart. More...
virtual void | GetGeometry (int[2])
| Set/get the width and the height of the chart. More...
virtual void | SetPoint1 (int, int)
| Set/get the first point in the chart (the bottom left). More...
void | SetPoint1 (int[2])
| Set/get the first point in the chart (the bottom left). More...
virtual int * | GetPoint1 ()
| Set/get the first point in the chart (the bottom left). More...
virtual void | GetPoint1 (int &, int &)
| Set/get the first point in the chart (the bottom left). More...
virtual void | GetPoint1 (int[2])
| Set/get the first point in the chart (the bottom left). More...
virtual void | SetPoint2 (int, int)
| Set/get the second point in the chart (the top right). More...
void | SetPoint2 (int[2])
| Set/get the second point in the chart (the top right). More...
virtual int * | GetPoint2 ()
| Set/get the second point in the chart (the top right). More...
virtual void | GetPoint2 (int &, int &)
| Set/get the second point in the chart (the top right). More...
virtual void | GetPoint2 (int[2])
| Set/get the second point in the chart (the top right). More...
virtual bool | GetShowLegend ()
| Set/get whether the chart should draw a legend. More...
virtual void | SetTitle (const vtkStdString &title)
| Get/set the title text of the chart. More...
virtual vtkStdString | GetTitle ()
| Get/set the title text of the chart. More...
virtual vtkTextProperty * | GetTitleProperties ()
| Get the vtkTextProperty that governs how the chart title is displayed. More...
void | SetBottomBorder (int border)
| Set/get the borders of the chart (space in pixels around the chart). More...
void | SetTopBorder (int border)
| Set/get the borders of the chart (space in pixels around the chart). More...
void | SetLeftBorder (int border)
| Set/get the borders of the chart (space in pixels around the chart). More...
void | SetRightBorder (int border)
| Set/get the borders of the chart (space in pixels around the chart). More...
virtual void | SetLayoutStrategy (int)
| Set/get the layout strategy that should be used by the chart. More...
virtual int | GetLayoutStrategy ()
| Set/get the layout strategy that should be used by the chart. More...
virtual void | SetAutoSize (bool isAutoSized)
| Set/get whether the chart should automatically resize to fill the current render window. More...
virtual bool | GetAutoSize ()
| Set/get whether the chart should automatically resize to fill the current render window. More...
virtual void | SetRenderEmpty (bool)
| Set/get whether the chart should still render its axes and decorations even if the chart has no visible plots. More...
virtual bool | GetRenderEmpty ()
| Set/get whether the chart should still render its axes and decorations even if the chart has no visible plots. More...
void | SetBackgroundBrush (vtkBrush *brush)
| Set/Get the brush to use for the background color. More...
vtkBrush * | GetBackgroundBrush ()
| Set/Get the brush to use for the background color. More...
virtual void | SetSelectionMode (int)
| Set/get the Selection Mode that will be used by the chart while doing selection. More...
virtual int | GetSelectionMode ()
| Set/get the Selection Mode that will be used by the chart while doing selection. More...
Public Member Functions inherited from vtkContextItem
vtkContextItem * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | SetTransform (vtkContextTransform *)
| Set the transform of the item. More...
virtual double | GetOpacity ()
| Get the opacity of the item. More...
virtual void | SetOpacity (double)
| Set the opacity of the item. More...
Public Member Functions inherited from vtkAbstractContextItem
vtkAbstractContextItem * | NewInstance () const
virtual bool | PaintChildren (vtkContext2D *painter)
| Paint the children of the item, should be called whenever the children need to be rendered. More...
virtual void | ReleaseGraphicsResources ()
| Release graphics resources hold by the item. More...
vtkIdType | AddItem (vtkAbstractContextItem *item)
| Add child items to this item. More...
bool | RemoveItem (vtkAbstractContextItem *item)
| Remove child item from this item. More...
bool | RemoveItem (vtkIdType index)
| Remove child item from this item. More...
vtkAbstractContextItem * | GetItem (vtkIdType index)
| Get the item at the specified index. More...
vtkIdType | GetItemIndex (vtkAbstractContextItem *item)
| Get the index of the specified item in itemIndex. More...
vtkIdType | GetNumberOfItems ()
| Get the number of child items. More...
void | ClearItems ()
| Remove all child items from this item. More...
vtkIdType | Raise (vtkIdType index)
| Raises the child to the top of the item's stack. More...
virtual vtkIdType | StackAbove (vtkIdType index, vtkIdType under)
| Raises the child above the under sibling. More...
vtkIdType | Lower (vtkIdType index)
| Lowers the child to the bottom of the item's stack. More...
virtual vtkIdType | StackUnder (vtkIdType child, vtkIdType above)
| Lowers the child under the above sibling. More...
virtual vtkAbstractContextItem * | GetPickedItem (const vtkContextMouseEvent &mouse)
| Return the item under the mouse. More...
virtual bool | MouseDoubleClickEvent (const vtkContextMouseEvent &mouse)
| Mouse button double click event. More...
virtual bool | KeyReleaseEvent (const vtkContextKeyEvent &key)
| Key release event. More...
virtual void | SetScene (vtkContextScene *scene)
| Set the vtkContextScene for the item, always set for an item in a scene. More...
vtkContextScene * | GetScene ()
| Get the vtkContextScene for the item, always set for an item in a scene. More...
virtual void | SetParent (vtkAbstractContextItem *parent)
| Set the parent item. More...
vtkAbstractContextItem * | GetParent ()
| Get the parent item. More...
virtual vtkVector2f | MapToParent (const vtkVector2f &point)
| Maps the point to the parent coordinate system. More...
virtual vtkVector2f | MapFromParent (const vtkVector2f &point)
| Maps the point from the parent coordinate system. More...
virtual vtkVector2f | MapToScene (const vtkVector2f &point)
| Maps the point to the scene coordinate system. More...
virtual vtkVector2f | MapFromScene (const vtkVector2f &point)
| Maps the point from the scene coordinate system. More...
virtual bool | GetVisible ()
| Get the visibility of the item (should it be drawn). More...
virtual void | SetVisible (bool)
| Set the visibility of the item (should it be drawn). More...
virtual bool | GetInteractive ()
| Get if the item is interactive (should respond to mouse events). More...
virtual void | SetInteractive (bool)
| Set if the item is interactive (should respond to mouse events). More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkChartHistogram2D * | SafeDownCast (vtkObjectBase *o)
static vtkChartHistogram2D * | New ()
| Creates a 2D histogram chart. More...
Static Public Member Functions inherited from vtkChartXY
static vtkTypeBool | IsTypeOf (const char *type)
static vtkChartXY * | SafeDownCast (vtkObjectBase *o)
static vtkChartXY * | New ()
| Creates a 2D Chart object. More...
static void | MakeSelection (vtkAnnotationLink *link, const MapIndexToIds &selection)
| Populate the selection node in the annotation link coressponding to the give node with the supplied selectionIds array for a standard row based selections. More...
static void | MakeSelection (vtkAnnotationLink *link, vtkIdTypeArray *selectionIds, vtkPlot *plot)
| Populate the annotation link with the supplied selectionIds array, and set the appropriate node properties for a plot based chart selection. More...
static void | MinusSelection (vtkIdTypeArray *selection, vtkIdTypeArray *oldSelection)
| Subtract the supplied selection from the oldSelection. More...
static void | AddSelection (vtkIdTypeArray *selection, vtkIdTypeArray *oldSelection)
| Add the supplied selection from the oldSelection. More...
static void | ToggleSelection (vtkIdTypeArray *selection, vtkIdTypeArray *oldSelection)
| Toggle the supplied selection from the oldSelection. More...
static void | BuildSelection (vtkAnnotationLink *link, int selectionMode, vtkIdTypeArray *plotSelection, vtkIdTypeArray *oldSelection, vtkPlot *plot)
| Build a selection based on the supplied selectionMode using the new plotSelection and combining it with the oldSelection. More...
static void | BuildSelection (int selectionMode, MapIndexToIds &selection, const MapIndexToIds &oldSelection)
| Build a selection based on the supplied selectionMode using the new plotSelection and combining it with the oldSelection. More...
static int | GetMouseSelectionMode (const vtkContextMouseEvent &mouse, int selectionMode)
| Combine the SelectionMode with any mouse modifiers to get an effective selection mode for this click event. More...
Static Public Member Functions inherited from vtkChart
static vtkTypeBool | IsTypeOf (const char *type)
static vtkChart * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkContextItem
static vtkTypeBool | IsTypeOf (const char *type)
static vtkContextItem * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkAbstractContextItem
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAbstractContextItem * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkChartHistogram2D ()
| ~vtkChartHistogram2D () override
bool | UpdateLayout (vtkContext2D *painter) override
| Update the layout of the chart, this may require the vtkContext2D in order to get font metrics etc. More...
Protected Member Functions inherited from vtkChartXY
| vtkChartXY ()
| ~vtkChartXY () override
void | RecalculatePlotTransforms ()
| Recalculate the necessary transforms. More...
void | RecalculatePlotBounds ()
| Calculate the optimal zoom level such that all of the points to be plotted will fit into the plot area. More...
virtual int | GetLegendBorder (vtkContext2D *painter, int axisPosition)
| Layout for the legend if it is visible. More...
virtual void | SetLegendPosition (const vtkRectf &rect)
| Called after the edges of the chart are decided, set the position of the legend, depends upon its alignment. More...
Protected Member Functions inherited from vtkChart
| vtkChart ()
| ~vtkChart () override
bool | CalculatePlotTransform (vtkAxis *x, vtkAxis *y, vtkTransform2D *transform)
| Given the x and y vtkAxis, and a transform, calculate the transform that the points in a chart would need to be drawn within the axes. More...
bool | CalculateUnscaledPlotTransform (vtkAxis *x, vtkAxis *y, vtkTransform2D *transform)
| Calculate the unshifted, and unscaled plot transform for the x and y axis. More...
void | AttachAxisRangeListener (vtkAxis *)
| Attach axis range listener so we can forward those events at the chart level. More...
void | AxisRangeForwarderCallback (vtkObject *, unsigned long, void *)
Protected Member Functions inherited from vtkContextItem
| vtkContextItem ()=default
| ~vtkContextItem () override
Protected Member Functions inherited from vtkAbstractContextItem
| vtkAbstractContextItem ()
| ~vtkAbstractContextItem () override
virtual void | ReleaseGraphicsCache ()
| Release cache entries created by this context item. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkSmartPointer< vtkPlotHistogram2D > | Histogram
vtkTimeStamp | BuildTime
| The point cache is marked dirty until it has been initialized. More...
Private * | Storage
Protected Attributes inherited from vtkChartXY
vtkSmartPointer< vtkChartLegend > | Legend
| The legend for the chart. More...
vtkSmartPointer< vtkTooltipItem > | Tooltip
| The tooltip item for the chart - can be used to display extra information. More...
bool | PlotTransformValid
| Does the plot area transform need to be recalculated? More...
vtkRectf | MouseBox
| The box created as the mouse is dragged around the screen. More...
bool | DrawBox
| Should the box be drawn (could be selection, zoom etc). More...
vtkContextPolygon | SelectionPolygon
| The polygon created as the mouse is dragged around the screen when in polygonal selection mode. More...
bool | DrawSelectionPolygon
| Should the selection polygon be drawn. More...
bool | DrawNearestPoint
| Should we draw the location of the nearest point on the plot? More...
bool | DrawAxesAtOrigin
| Keep the axes drawn at the origin? This will attempt to keep the axes drawn at the origin, i.e. More...
bool | AutoAxes
| Should axes be turned on and off automatically - defaults to on. More...
int | HiddenAxisBorder
| Size of the border when an axis is hidden. More...
float | BarWidthFraction
| The fraction of the interval taken up along the x axis by any bars that are drawn on the chart. More...
bool | ForceAxesToBounds
| Property to force the axes to have their Minimum and Maximum properties inside the plot boundaries. More...
bool | IgnoreNanInBounds
| Property to ignore NaN in RecalculateBounds(). More...
bool | ZoomWithMouseWheel
| Property to enable zooming the chart with the mouse wheel. More...
bool | AxisZoom [4]
| Property to enable zooming of individual axes with the mouse wheel. More...
bool | AdjustLowerBoundForLogPlot
| Property to adjust the minimum of a logarithmic axis to be greater than 0, regardless of the minimum data value. More...
bool | DragPointAlongX
| Properties to enable the drag of a point for the ClickAndDrag Action. More...
bool | DragPointAlongY
Protected Attributes inherited from vtkChart
vtkAnnotationLink * | AnnotationLink
| Our annotation link, used for sharing selections etc. More...
int | Geometry [2]
| The width and the height of the chart. More...
int | Point1 [2]
| The position of the lower left corner of the chart. More...
int | Point2 [2]
| The position of the upper right corner of the chart. More...
int | Borders [4]
| The borders around the chart. More...
bool | ShowLegend
| Display the legend? More...
vtkStdString | Title
| The title of the chart. More...
vtkTextProperty * | TitleProperties
| The text properties associated with the chart. More...
vtkRectf | Size
int | LayoutStrategy
bool | RenderEmpty
vtkSmartPointer< vtkBrush > | BackgroundBrush
| Brush to use for drawing the background. More...
int | SelectionMode
int | SelectionMethod
MouseActions | Actions
MouseClickActions | ActionsClick
Protected Attributes inherited from vtkContextItem
double | Opacity = 1.0
vtkContextTransform * | Transform = nullptr
Protected Attributes inherited from vtkAbstractContextItem
vtkContextScene * | Scene
| Point to the scene the item is on - can be null. More...
vtkAbstractContextItem * | Parent
| Point to the parent item - can be null. More...
vtkContextScenePrivate * | Children
| This structure provides a list of children, along with convenience functions to paint the children etc. More...
bool | Visible
| Store the visibility of the item (default is true). More...
bool | Interactive
| Store whether the item should respond to interactions (default is true). More...
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

Definition at line 25 of file vtkChartHistogram2D.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkChartXY vtkChartHistogram2D::Superclass

Definition at line 28 of file vtkChartHistogram2D.h.

## Constructor & Destructor Documentation

## ◆ vtkChartHistogram2D()

vtkChartHistogram2D::vtkChartHistogram2D | ( |  | ) |
| protected

## ◆ ~vtkChartHistogram2D()

vtkChartHistogram2D::~vtkChartHistogram2D | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkChartHistogram2D::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkChartHistogram2D::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkChartXY.

## ◆ SafeDownCast()

static vtkChartHistogram2D* vtkChartHistogram2D::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkChartHistogram2D::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkChartXY.

## ◆ NewInstance()

vtkChartHistogram2D* vtkChartHistogram2D::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkChartHistogram2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkChart.

## ◆ New()

static vtkChartHistogram2D* vtkChartHistogram2D::New | ( |  | ) |
| static

Creates a 2D histogram chart.

## ◆ Update()

void vtkChartHistogram2D::Update | ( |  | ) |
| overridevirtual

Perform any updates to the item that may be necessary before rendering.

The scene should take care of calling this on all items before their Paint function is invoked.

Reimplemented from vtkAbstractContextItem.

## ◆ SetInputData()

virtual void vtkChartHistogram2D::SetInputData | ( | vtkImageData * | data,
|  | vtkIdType | z = `0`
| ) |  |
| virtual

## ◆ SetTransferFunction()

virtual void vtkChartHistogram2D::SetTransferFunction | ( | vtkScalarsToColors * | function | ) |
| virtual

## ◆ Hit()

bool vtkChartHistogram2D::Hit | ( | const vtkContextMouseEvent & | mouse | ) |
| overridevirtual

Return true if the supplied x, y coordinate is inside the item.

Reimplemented from vtkAbstractContextItem.

## ◆ GetPlot()

vtkPlot* vtkChartHistogram2D::GetPlot | ( | vtkIdType | index | ) |
| overridevirtual

Get the plot at the specified index, returns null if the index is invalid.

Reimplemented from vtkChart.

## ◆ UpdateLayout()

bool vtkChartHistogram2D::UpdateLayout | ( | vtkContext2D * | painter | ) |
| overrideprotectedvirtual

Update the layout of the chart, this may require the vtkContext2D in order to get font metrics etc.

Initially this was added to resize the charts according in response to the size of the axes.

Reimplemented from vtkChartXY.

## Member Data Documentation

## ◆ Histogram

vtkSmartPointer<vtkPlotHistogram2D> vtkChartHistogram2D::Histogram
| protected

Definition at line 60 of file vtkChartHistogram2D.h.

## ◆ BuildTime

vtkTimeStamp vtkChartHistogram2D::BuildTime
| protected

The point cache is marked dirty until it has been initialized.

Definition at line 65 of file vtkChartHistogram2D.h.

## ◆ Storage

Private* vtkChartHistogram2D::Storage
| protected

Definition at line 68 of file vtkChartHistogram2D.h.

The documentation for this class was generated from the following file:

- Charts/Core/vtkChartHistogram2D.h